{ pkgs, username, ... }:
#let mount_opts = "x-systemd.automount,user,iocharset=utf8,rw,noauto,nofail,credentials=/etc/nixos/smb-secrets,uid=1000,gid=100";
let mount_opts = "iocharset=utf8,rw,auto,nofail,credentials=/etc/nixos/smb-secrets,uid=1000,gid=100";
in {
  environment.systemPackages = [ pkgs.cifs-utils ];

  fileSystems."/home/${username}/Shares/NAS" = {
    device = "//10.0.10.5/LillyNAS";
    fsType = "cifs";
    options = [ "${mount_opts}" ];
  };

  fileSystems."/home/${username}/Shares/3D-Printing" = {
    device = "//10.0.10.5/3D-Printing";
    fsType = "cifs";
    options = [ "${mount_opts}" ];
  };

  fileSystems."/home/${username}/Shares/Media" = {
    device = "//10.0.10.5/Media";
    fsType = "cifs";
    options = [ "${mount_opts}" ];
  };

  fileSystems."/home/${username}/Shares/PaperlessConsume" = {
    device = "//10.0.10.5/PaperlessConsume";
    fsType = "cifs";
    options = [ "${mount_opts}" ];
  };

  fileSystems."/home/${username}/Shares/LillyPhoneSync" = {
    device = "//10.0.10.5/LillyPhoneSync";
    fsType = "cifs";
    options = [ "${mount_opts}" ];
  };
}